# operator==,!=(std::experimental::function)

From cppreference.com
< cpp‎ | experimental‎ | function

template< class R, class... ArgTypes > bool operator==( const std::experimental::function<R(ArgTypes...)>& f, std::nullptr_t ) noexcept; | (1) | (library fundamentals TS)
template< class R, class... ArgTypes > bool operator==( std::nullptr_t, const std::experimental::function<R(ArgTypes...)>& f ) noexcept; | (2) | (library fundamentals TS)
template< class R, class... ArgTypes > bool operator!=( const std::experimental::function<R(ArgTypes...)>& f, std::nullptr_t ) noexcept; | (3) | (library fundamentals TS)
template< class R, class... ArgTypes > bool operator!=( std::nullptr_t, const std::experimental::function<R(ArgTypes...)>& f ) noexcept; | (4) | (library fundamentals TS)

Compares a `std::experimental::function` with a null pointer. Empty functions (that is, functions without a callable target) compare equal, non-empty functions compare non-equal.

### Parameters

f | - | `std::experimental::function` to compare

### Return value

1-2) !f
3-4) (bool) f

### See also

operator==operator!= | compares a std::function with nullptr (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/function/operator_cmp&oldid=98581"